package com.jamesquinley.DelegationServices;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

public class delegationTimer {
    public static void DeleteTargetRequest (int CID)
    {
        final ScheduledExecutorService scheduler = Executors.newScheduledThreadPool(1);
        final Runnable runnable = new Runnable() {
            int countdownStarter = 5;
            public void run() {
                countdownStarter--;
                if (countdownStarter <= 0) {
                    countdownStarter = 5;
                    delegationServices.TargetDelete(CID);
                    scheduler.shutdown();
                }
            }
        };
        scheduler.scheduleAtFixedRate(runnable, 0, 1, TimeUnit.SECONDS);
    }
    public static void DeleteTargetRequestByID (Object ID)
    {
        final ScheduledExecutorService scheduler = Executors.newScheduledThreadPool(1);
        final Runnable runnable = new Runnable() {
            int countdownStarter = 5;
            public void run() {
                countdownStarter--;
                if (countdownStarter <= 0) {
                    countdownStarter = 5;
                    delegationServices.TargetDeleteByID(ID);
                    scheduler.shutdown();
                }
            }
        };
        scheduler.scheduleAtFixedRate(runnable, 0, 1, TimeUnit.SECONDS);
    }
    public static void DeleteTargetRequestRID (int RID)
    {
        final ScheduledExecutorService scheduler = Executors.newScheduledThreadPool(1);
        final Runnable runnable = new Runnable() {
            int countdownStarter = 9;
            public void run() {
                countdownStarter--;
                if (countdownStarter <= 0) {
                    countdownStarter = 9;
                    delegationServices.TargetDeleteRID(RID);
                    scheduler.shutdown();
                }
            }
        };
        scheduler.scheduleAtFixedRate(runnable, 0, 1, TimeUnit.SECONDS);
    }}
